Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::FunctionSlot0< R > Class Template Reference

A slot template for static functions taking no arguments and returning a value of type R. More...

`#include <inti/slot.h>`

Inheritance diagram for Inti::FunctionSlot0< R >:

List of all members.

## Public Member Functions

- FunctionSlot0 (PF function)
    Construct a new function slot for a static function.
- virtual R call () const
    Calls the function connected to this slot.

## Detailed Description

### template<typename R>
class Inti::FunctionSlot0< R >

A slot template for static functions taking no arguments and returning a value of type R.

## Constructor & Destructor Documentation

template<typename R>
Inti::FunctionSlot0< R >::FunctionSlot0 | ( | PF | function | ) | `[inline]`

  | Construct a new function slot for a static function. Parameters:
  function | Static function with the signature R (*PF)().

## Member Function Documentation

template<typename R>
virtual R Inti::FunctionSlot0< R >::call | ( |  | ) | const`[inline, virtual]`

| Calls the function connected to this slot. Returns: A value of type R returned by the called function. Implements Inti::Slot0< R >.

The documentation for this class was generated from the following file:

- slot.h

Main Page - Footer